unset key
set terminal epslatex size 10.5cm, 7.5cm
set output 'tsp1.tex'
set title  'TSP - 12 southwest cities'
set xlabel 'generation'
set ylabel 'distance'
set xtics 0, 5000
plot [:][3300:6500] 'tsp.dat' using 1:18 with lines
set parametric
set terminal epslatex size 7cm, 5cm
set output 'tsp2.tex'
set title  'TSP - initial-order'
set xlabel 'longitude (- means west)'
set ylabel 'latitude'
set xtics -115, 5
plot 'init.dat' with linespoints
set output 'tsp3.tex'
set title  'TSP - final-order'
set xlabel 'longitude (- means west)'
set ylabel 'latitude'
set xtics -115, 5
plot 'final.dat' with linespoints
