#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	int k;
	puts("set pointsize 2");
	puts("set terminal epslatex");
	puts("set output \"geometric.tex\"");
	puts("set title \"Geometric Distribution\"");
	puts("set xlabel \"$k$\"");
	puts("set ylabel \"$p(k)$\"");
	puts("plot [-1:11][0:0.6] \"-\" title \"$p=0.5$\" with points");
	for (k = 1; k <= 10; k++)
		printf("%d\t%f\n", k, gsl_ran_geometric_pdf(k, 0.5));

	return 0;
}
